Summary:	A GNOME filemanager similar to the Midnight Commander
Summary(pl.UTF-8):	Zarządca plików dla środowiska GNOME w stylu Midnight Commandera
Name:		gnome-commander
Version:	1.12.3.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-commander/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	f88ba89a6baaf901f45728d19e04a20e
Patch0:		%{name}-flags.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-gsf.patch
URL:		https://gcmd.github.io/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	chmlib-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exiv2-devel >= 0.14
BuildRequires:	flex
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gnome-vfs2-devel >= 2.0.0
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	libgsf-devel >= 1.14.26
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	libunique-devel >= 0.9.3
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	poppler-devel >= 0.18
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	taglib-devel >= 1.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	glib2 >= 1:2.44.0
Requires:	exiv2-libs >= 0.14
Requires:	glib2 >= 1:2.44.0
Requires:	gtk+2 >= 2:2.24.0
Requires:	libgnome-keyring >= 2.22
Requires:	libgnomeui >= 2.4.0
Requires:	libgsf >= 1.14.26
Requires:	libunique >= 0.9.3
Requires:	poppler >= 0.18
Requires:	taglib >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# symbol main_win_widget is provided by gnome-commander binary
%define		skip_post_check_so	libgcmd.so.*

%description
GNOME Commander is a filemanager that just like the classical Midnight
commander lets you do everything with the keyboard. It can perform all
standard fileoperations and some extra features like FTP support.

%description -l pl.UTF-8
GNOME Commander to zarządca plików, który podobnie do klasycznego
Midnight Commandera umożliwia pełną obsługę przy pomocy klawiatury.
Zapewnia wykonanie wszystkich typowych operacji na plikach, a także
kilka dodatkowych jak np. klienta FTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/{plugins/,}*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gcmd-block
%attr(755,root,root) %{_bindir}/gnome-commander
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/libgcmd.so*
%attr(755,root,root) %{_libdir}/%{name}/plugins/libfileroller.so
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-commander.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-commander.gschema.xml
%{_datadir}/metainfo/gnome-commander.appdata.xml
%{_desktopdir}/gnome-commander.desktop
%{_pixmapsdir}/gnome-commander.svg
%{_pixmapsdir}/gnome-commander
%{_mandir}/man1/gnome-commander.1*
%changelog
* Mon Nov 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-commander.git;a=log;h=master

* Mon Nov 22 2021 Jakub Bogusz <qboosh@pld-linux.org> edba119
- updated to 1.12.3.1

* Sun Nov 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 27ff03a
- updated to 1.12.3

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> f237bab
- updated to 1.12.2

* Sun Apr 18 2021 Jakub Bogusz <qboosh@pld-linux.org> eb0177e
- updated to 1.12.1

* Fri Apr 02 2021 Jakub Bogusz <qboosh@pld-linux.org> cb2e4df
- rediff, some flags patch parts obsolete

* Thu Apr 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 83b26ce
- updated to 1.12.0 (in transition from gnomevfs to gio)

* Fri Jun 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 4602e6c
- updated to 1.10.3
- updated flags patch

* Thu Nov 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 58d32a9
- updated to 1.10.2
- updated flags patch

* Wed Jan 30 2019 Jan Rękorajski <baggins@pld-linux.org> c34a80d
- release 3 (by relup.sh)

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> 911d922
- rebuild with exiv2 0.26
- release 2 (by relup.sh)

* Wed May 31 2017 Jakub Bogusz <qboosh@pld-linux.org> 8b6db00
- updated to 1.6.4

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> f8138c3
- just exiv2-libs

* Fri Sep 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 83239f7
- updated to 1.4.8

* Sun Jul 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 8215de1
- updated to 1.4.7

* Sun May 24 2015 Jakub Bogusz <qboosh@pld-linux.org> b22481d
- just remove sr@Latn, it's outdated version of sr@latin; release 3

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 230fe08
- fix Serbian locale
- rel 2

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> d5b5594
- updated to 1.4.6

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 03fe4b7
- up to 1.2.8.17
- removed obsolete poppler024,gcc47,format-security,const-cast patches

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> 9084477
- release 13 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> cccfdc5
- updated gettext BR

